Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.security
Class AuditModule

    java.lang.Object
      com.sun.appserv.security.AuditModule

public abstract class AuditModule
extends java.lang.Object

Base class that should be extended by all classes that wish to provide their own Audit support.

Version:
Author:
  Harpreet Singh

Constructor Summary
`AuditModule()`

Method Summary
`void` | `authentication(java.lang.String user, java.lang.String realm, boolean success)` Invoked post authentication request for a user in a given realm
`void` | `ejbInvocation(java.lang.String user, java.lang.String ejb, java.lang.String method, boolean success)` Invoked post ejb authorization request.
`void` | `init(java.util.Properties props)` Method is invoked at server startup, during AuditModule initialization.
`void` | `webInvocation(java.lang.String user, HttpServletRequest req, java.lang.String type, boolean success)` Invoked post web authorization request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditModule

    public AuditModule()

Method Detail

### init

    public void init(java.util.Properties props)

  Method is invoked at server startup, during AuditModule initialization. If method returns without any exception then S1AS assumes that the module is ready to serve any requests.

  Parameters:
    `props` - the properties for the AuditModule. These properties are defined in the domain.xml

### authentication

    public void authentication(java.lang.String user,
                               java.lang.String realm,
                               boolean success)

  Invoked post authentication request for a user in a given realm

  Parameters:
    `user` - username for whom the authentication request was made
    `realm` - the realm name under which the user is authenticated.
    `success` - the status of the authentication

### webInvocation

    public void webInvocation(java.lang.String user,
                              HttpServletRequest req,
                              java.lang.String type,
                              boolean success)

  Invoked post web authorization request.

  Parameters:
    `user` - the username for whom the authorization was performed
    `req` - the HttpRequest object for the web request
    `type` - the permission type, hasUserDataPermission or hasResourcePermission.
    `success` - the status of the web authorization request

### ejbInvocation

    public void ejbInvocation(java.lang.String user,
                              java.lang.String ejb,
                              java.lang.String method,
                              boolean success)

  Invoked post ejb authorization request.

  Parameters:
    `user` - the username for whom the authorization was performed
    `ejb` - the ejb name for which this authorization was performed
    `method` - the method name for which this authorization was performed
    `success` - the status of the ejb authorization request

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.